# 32bpp_optimized.cpp File Reference

Implementation of the optimized 32 bpp blitter. More...

`#include "../stdafx.h"`
`#include "../zoom_func.h"`
`#include "../gfx_func.h"`
`#include "../core/math_func.hpp"`
`#include "../core/alloc_func.hpp"`
`#include "32bpp_optimized.hpp"`

Go to the source code of this file.

## Functions
static const SpriteLoader::Sprite * | ResizeSprite (const SpriteLoader::Sprite *sprite_src, ZoomLevel zoom)
| Resizes the sprite in a very simple way, takes every n-th pixel and every n-th row.
## Variables
static FBlitter_32bppOptimized | iFBlitter_32bppOptimized

## Detailed Description

Implementation of the optimized 32 bpp blitter.

Definition in file 32bpp_optimized.cpp.

## Function Documentation

static const SpriteLoader::Sprite* ResizeSprite | ( | const SpriteLoader::Sprite * | sprite_src,
|  | ZoomLevel | zoom |
| ) |  |  | `[static]`

Resizes the sprite in a very simple way, takes every n-th pixel and every n-th row.

Parameters:

  | sprite_src | sprite to resize
  | zoom | resizing scale

Returns:
  resized sprite

Definition at line 209 of file 32bpp_optimized.cpp.

References SpriteLoader::Sprite::data, SpriteLoader::Sprite::height, ScaleByZoom(), UnScaleByZoom(), SpriteLoader::Sprite::width, SpriteLoader::Sprite::x_offs, and SpriteLoader::Sprite::y_offs.